<script>
	import { onMount } from 'svelte';
  import Cell from './Cell.svelte';

	let data = new Array(4).fill(null).map(() => new Array(4).fill(null));
	let set = new Set();

	function getRandomIntInclusive(min, max) {
	  min = Math.ceil(min);
	  max = Math.floor(max);
	  return Math.floor(Math.random() * (max - min + 1)) + min; //The maximum is inclusive and the minimum is inclusive
	}

	onMount(() => {
		for (let i = 0; i < data.length; i++) {
			for (let j = 0; j < data[i].length; j++) {
				let num = null;
				while(num === null || set.has(num)) {
					num = getRandomIntInclusive(0, 16);
				}

				if (num !== 16) {
					data[i][j] = num;
					set.add(num)
				}
			}
		}
	});
</script>

<style>
	nav {
		border-bottom: 1px solid rgba(255,62,0,0.1);
		font-weight: 300;
		padding: 0 1em;
	}

	ul {
		margin: 0;
		padding: 0;
	}

	/* clearfix */
	ul::after {
		content: '';
		display: block;
		clear: both;
	}

	li {
		display: block;
		float: left;
	}

	[aria-current] {
		position: relative;
		display: inline-block;
	}

	[aria-current]::after {
		position: absolute;
		content: '';
		width: calc(100% - 1em);
		height: 2px;
		background-color: rgb(255,62,0);
		display: block;
		bottom: -1px;
	}

	a {
		text-decoration: none;
		padding: 1em 0.5em;
		display: block;
	}
</style>

<section>
	<table>
		{#each data as rows}
			<tr>
        {#each rows as item}
          <td>
            <Cell value={item}/>
          </td>
        {/each}
      </tr>
		{/each}
	</table>
</section>
